classification
Title: Review ssl docs for security recommendations
Type: behavior Stage: commit review
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Arfrever, alex, christian.heimes, docs@python, dstufft, giampaolo.rodola, janssen, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2014-10-17 18:00 by pitrou, last changed 2014-10-21 10:23 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
ssldoc.patch pitrou, 2014-10-18 18:35
Messages (6)
msg229590 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-17 18:00
The current ssl documentation has a number of statements which may need updating, particularly wrt. SSLv3.
msg229652 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-18 18:35
Here is a patch.
msg229743 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-20 22:16
New changeset 230889852e17 by Antoine Pitrou in branch '3.4':
Issue #22660: update various mentions in the ssl module documentation.
https://hg.python.org/cpython/rev/230889852e17

New changeset 9015f502ac06 by Antoine Pitrou in branch 'default':
Issue #22660: update various mentions in the ssl module documentation.
https://hg.python.org/cpython/rev/9015f502ac06
msg229744 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-10-20 22:32
This is done in 3.x. Alex, do you want to backport it to 2.7?
msg229745 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-10-20 22:36
Yes, that would be good. Need to make sure all the changes are completely applicable -- the SSLv3 change wasn't backported.
msg229760 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-10-21 10:23
New changeset 6f6e56bb10aa by Antoine Pitrou in branch '2.7':
Issue #22660: update various mentions in the ssl module documentation.
https://hg.python.org/cpython/rev/6f6e56bb10aa
History
Date User Action Args
2014-10-21 10:23:56pitrousetstatus: open -> closed
resolution: fixed
2014-10-21 10:23:42python-devsetmessages: + msg229760
2014-10-20 22:36:55alexsetmessages: + msg229745
2014-10-20 22:32:31pitrousetmessages: + msg229744
stage: needs patch -> commit review
2014-10-20 22:16:30python-devsetnosy: + python-dev
messages: + msg229743
2014-10-20 14:41:09Arfreversetnosy: + Arfrever
2014-10-18 18:35:14pitrousetfiles: + ssldoc.patch
keywords: + patch
messages: + msg229652
2014-10-17 18:00:53pitroucreate